VerticalLayout (Apache JMeter dist API)
Description: declaration: package: org.apache.jorphan.gui.layout, class: VerticalLayout

Package org.apache.jorphan.gui.layout

# Class VerticalLayout

java.lang.Object
org.apache.jorphan.gui.layout.VerticalLayout

All Implemented Interfaces:
  `LayoutManager`, `Serializable`

public class VerticalLayout extends Object implements LayoutManager, Serializable
A vertical layout manager similar to java.awt.FlowLayout. Like FlowLayout components do not expand to fill available space except when the horizontal alignment is `BOTH` in which case components are stretched horizontally. Unlike FlowLayout, components will not wrap to form another column if there isn't enough space vertically. VerticalLayout can optionally anchor components to the top or bottom of the display area or center them between the top and bottom. Revision date 04 April 1999

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `BOTH`
  The horizontal alignment constant that designates stretching the component horizontally.
  `static final int`
  `BOTTOM`
  The anchoring constant that designates anchoring to the bottom of the display area.
  `static final int`
  `CENTER`
  The horizontal alignment constant that designates centering.
  `static final int`
  `LEFT`
  The horizontal alignment constant that designates left justification.
  `static final int`
  `RIGHT`
  The horizontal alignment constant that designates right justification.
  `static final int`
  `TOP`
  The anchoring constant that designates anchoring to the top of the display area.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VerticalLayout()`
  Constructs an instance of VerticalLayout with a vertical vgap of 5 pixels, horizontal centering and anchored to the top of the display area.
  `VerticalLayout(int vgap)`
  Constructs a VerticalLayout instance with horizontal centering, anchored to the top with the specified vgap.
  `VerticalLayout(int vgap, int alignment)`
  Constructs a VerticalLayout instance anchored to the top with the specified vgap and horizontal alignment.
  `VerticalLayout(int vgap, int alignment, int anchor)`
  Constructs a VerticalLayout instance with the specified vgap, horizontal alignment and anchoring

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addLayoutComponent(String name, Component comp)`
  Not used by this class.
  `void`
  `layoutContainer(Container parent)`
  Lays out the container.
  `Dimension`
  `minimumLayoutSize(Container parent)`
  `Dimension`
  `preferredLayoutSize(Container parent)`
  `void`
  `removeLayoutComponent(Component comp)`
  Not used by this class.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CENTER

    public static final int CENTER
    The horizontal alignment constant that designates centering. Also used to designate center anchoring.
    See Also:
      - Constant Field Values

  - ### RIGHT

    public static final int RIGHT
    The horizontal alignment constant that designates right justification.
    See Also:
      - Constant Field Values

  - ### LEFT

    public static final int LEFT
    The horizontal alignment constant that designates left justification.
    See Also:
      - Constant Field Values

  - ### BOTH

    public static final int BOTH
    The horizontal alignment constant that designates stretching the component horizontally.
    See Also:
      - Constant Field Values

  - ### TOP

    public static final int TOP
    The anchoring constant that designates anchoring to the top of the display area.
    See Also:
      - Constant Field Values

  - ### BOTTOM

    public static final int BOTTOM
    The anchoring constant that designates anchoring to the bottom of the display area.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VerticalLayout

    public VerticalLayout()
    Constructs an instance of VerticalLayout with a vertical vgap of 5 pixels, horizontal centering and anchored to the top of the display area.

  - ### VerticalLayout

    public VerticalLayout(int vgap)
    Constructs a VerticalLayout instance with horizontal centering, anchored to the top with the specified vgap.
    Parameters:
      `vgap` - an int value indicating the vertical separation of the components

  - ### VerticalLayout

    public VerticalLayout(int vgap, int alignment)
    Constructs a VerticalLayout instance anchored to the top with the specified vgap and horizontal alignment.
    Parameters:
      `vgap` - an int value indicating the vertical separation of the components
      `alignment` - an int value which is one of `RIGHT, LEFT, CENTER, BOTH` for the horizontal alignment.

  - ### VerticalLayout

    public VerticalLayout(int vgap, int alignment, int anchor)
    Constructs a VerticalLayout instance with the specified vgap, horizontal alignment and anchoring
    Parameters:
      `vgap` - an int value indicating the vertical separation of the components
      `alignment` - an int value which is one of `RIGHT, LEFT, CENTER, BOTH` for the horizontal alignment.
      `anchor` - an int value which is one of `TOP, BOTTOM, CENTER` indicating where the components are to appear if the display area exceeds the minimum necessary.

- ## Method Details

  - ### layoutContainer

    public void layoutContainer(Container parent)
    Lays out the container.
    Specified by:
      `layoutContainer` in interface `LayoutManager`

  - ### minimumLayoutSize

    public Dimension minimumLayoutSize(Container parent)
    Specified by:
      `minimumLayoutSize` in interface `LayoutManager`

  - ### preferredLayoutSize

    public Dimension preferredLayoutSize(Container parent)
    Specified by:
      `preferredLayoutSize` in interface `LayoutManager`

  - ### addLayoutComponent

    public void addLayoutComponent(String name, Component comp)
    Not used by this class.
    Specified by:
      `addLayoutComponent` in interface `LayoutManager`

  - ### removeLayoutComponent

    public void removeLayoutComponent(Component comp)
    Not used by this class.
    Specified by:
      `removeLayoutComponent` in interface `LayoutManager`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`